Class | YARD::Server::Commands::LibraryCommand
In: | lib/yard/server/commands/library_command.rb
Parent: | Base

This is the base command for all commands that deal directly with libraries. Some commands do not, but most (like {DisplayObjectCommand}) do. If your command deals with libraries directly, subclass this class instead. See {Base} for notes on how to subclass a command.

@abstract

### Methods

call new

### Attributes

incremental | [RW] | @return [Boolean] whether to reparse data
library | [RW] | @return [LibraryVersion] the object containing library information
options | [RW] | @return [Hash{Symbol => Object}] default options for the library
serializer | [RW] | @return [Serializers::Base] the serializer used to perform file linking
single_library | [RW] | @return [Boolean] whether router should route for multiple libraries

### Public Class methods

new(opts = {})

### Public Instance methods

call(request)

[Validate]